#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QMouseEvent>


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    ui->label->setStyleSheet("border: 3 solid green; background:yellow; font-size:32px; color:red");
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::mousePressEvent(QMouseEvent *event)
{
    Qt::MouseButton btn = event->button();

    if ( ui->label->underMouse() )
    {
        if ( btn == Qt::LeftButton)
            ui->label->setText("Click Left Button");

        if ( btn == Qt::RightButton)
            ui->label->setText("Click Right Button");

        if ( btn == Qt::MiddleButton)
            ui->label->setText("Click Mid Button");
    }
    else
        ui->label->setText("Outside your Label!");
}



